## ros-kinetic-nerian-sp1 1.6.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(nerian_sp1)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS roscpp std_msgs sensor_msgs cv_bridge
    message_generation)

## System dependencies are found with CMake's conventions
find_package(OpenCV REQUIRED)
find_package(Boost REQUIRED COMPONENTS system)

################################################
## Declare ROS messages, services and actions ##
################################################

# Generate messages in the 'msg' folder
add_message_files(FILES StereoCameraInfo.msg)

# Generate added messages and services with any dependencies listed here
generate_messages(DEPENDENCIES sensor_msgs)

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if you package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
#  INCLUDE_DIRS ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  CATKIN_DEPENDS roscpp message_runtime sensor_msgs
#  DEPENDS system_lib
)

#######################
## libvisiontransfer ##
#######################

set(VT_VERSION 4_1_2)
set(BUILD_VT 1)

if(BUILD_VT)
    # Extract sources while configuring
    execute_process(COMMAND tar --keep-newer-files --warning none -xJf ${CMAKE_CURRENT_SOURCE_DIR}/3rdparty/sp1-software-${VT_VERSION}-src.tar.xz -C ${CMAKE_CURRENT_BINARY_DIR})

    # Re-extract source files if updated
    add_custom_target(untar_src ALL
        DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/3rdparty/sp1-software-${VT_VERSION}-src.tar.xz
        COMMAND tar --keep-newer-files --warning none -xJf ${CMAKE_CURRENT_SOURCE_DIR}/3rdparty/sp1-software-${VT_VERSION}-src.tar.xz -C ${CMAKE_CURRENT_BINARY_DIR}
    )

    # Build sources at runtime
    add_custom_target(visiontransfer_stub ALL
        DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/3rdparty/sp1-software-${VT_VERSION}-src.tar.xz
        COMMAND ${CMAKE_COMMAND} .
        COMMAND make
        WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/sp1-software-${VT_VERSION}-src/libvisiontransfer
    )

else()

    # Development settings: Use local libvisiontransfer
    link_directories($ENV{VISION_TRANSFER_LIB})
    include_directories($ENV{VISION_TRANSFER_INCLUDE})
endif()

###########
## Build ##
###########

# Activate c++11 support
include(CheckCXXCompilerFlag)
CHECK_CXX_COMPILER_FLAG("-std=c++11" COMPILER_SUPPORTS_CXX11)
CHECK_CXX_COMPILER_FLAG("-std=c++0x" COMPILER_SUPPORTS_CXX0X)
if(COMPILER_SUPPORTS_CXX11)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
elseif(COMPILER_SUPPORTS_CXX0X)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
else()
    message(WARNING "The compiler ${CMAKE_CXX_COMPILER} has no C++11 support. Please use a different C++ compiler.")
endif()

## Specify additional locations of header files
## Your package locations should be listed before other locations
include_directories(${CMAKE_CURRENT_BINARY_DIR}/sp1-software-${VT_VERSION}-src/libvisiontransfer
    ${CMAKE_CURRENT_BINARY_DIR}/sp1-software-${VT_VERSION}-src/spcom/helpers
    ${Boost_INCLUDE_DIRS} ${OpenCV_INCLUDE_DIRS} ${catkin_INCLUDE_DIRS})

# Declare a C++ executable
add_executable(nerian_sp1_node
    src/nerian_sp1_node.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/sp1-software-${VT_VERSION}-src/spcom/helpers/colorcoder.cpp
)

# Add cmake target dependencies of the executable
# same as for the library above
add_dependencies(nerian_sp1_node ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS}
    visiontransfer_stub)

# Specify libraries to link a library or executable target against
target_link_libraries(nerian_sp1_node ${catkin_LIBRARIES} ${Boost_LIBRARIES} ${OpenCV_LIBS}
    ${CMAKE_CURRENT_BINARY_DIR}/sp1-software-${VT_VERSION}-src/libvisiontransfer/lib/libvisiontransfer-static.a)

#############
## Install ##
#############

# all install targets should use catkin DESTINATION variables
# See http://ros.org/doc/api/catkin/html/adv_user_guide/variables.html

# Mark executables and/or libraries for installation
install(TARGETS nerian_sp1_node
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(FILES data/calib.yaml
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/data
)

install(FILES launch/nerian_sp1.launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
)

=== gentl-producer/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.4.6)

if(COMMAND cmake_policy)
  cmake_policy(SET CMP0003 NEW)
endif(COMMAND cmake_policy)

if(MINGW)
    message(FATAL_ERROR "Cannot be compiled with mingw")
endif()

enable_testing()
include_directories(${CMAKE_CURRENT_SOURCE_DIR})
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/src)

if(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/../common.cmake)
    # Compiling with global build system
    include(${CMAKE_CURRENT_SOURCE_DIR}/../common.cmake)
    gentl_settings()
else()
    if(NOT WIN32)
        include(CheckCXXCompilerFlag)

        # Some useful flags
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O3 -Wall")
        CHECK_CXX_COMPILER_FLAG("-march=native" NATIVE_ARCH_SUPPORT)
        if(NATIVE_ARCH_SUPPORT)
            set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -march=native")
        endif()

        # Activate c++11 support
        CHECK_CXX_COMPILER_FLAG("-std=c++11" COMPILER_SUPPORTS_CXX11)
        CHECK_CXX_COMPILER_FLAG("-std=c++0x" COMPILER_SUPPORTS_CXX0X)
        if(COMPILER_SUPPORTS_CXX11)
            set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
        elseif(COMPILER_SUPPORTS_CXX0X)
            set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
        else()
            message(WARNING "The compiler ${CMAKE_CXX_COMPILER} has no C++11 support. Please use a different C++ compiler.")
        endif()
    else()
        # Visual studio settings
        foreach(flag
                CMAKE_C_FLAGS_RELEASE CMAKE_C_FLAGS_RELWITHDEBINFO
                CMAKE_C_FLAGS_DEBUG CMAKE_C_FLAGS_DEBUG_INIT
                CMAKE_CXX_FLAGS_RELEASE  CMAKE_CXX_FLAGS_RELWITHDEBINFO
                CMAKE_CXX_FLAGS_DEBUG  CMAKE_CXX_FLAGS_DEBUG_INIT)
            string(REPLACE "/MD"  "/MT" "${flag}" "${${flag}}")
            set("${flag}" "${${flag}} /EHsc /arch:SSE2 /D__SSE__ /D__SSE2__")
        endforeach()
    endif()
endif()

#set the default path for built executables to the "bin" directory
set(EXECUTABLE_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/bin)

if(NOT CMAKE_SUBMODULE)
    #set the default path for built libraries to the "lib" directory
    if(NOT WIN32 OR MINGW)
        set(LIBRARY_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/lib)
    else()
        MATH(EXPR BITS ${CMAKE_SIZEOF_VOID_P}*8)
        set(LIBRARY_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/lib${BITS})
    endif()
endif()

set(BUILD_TESTS OFF CACHE BOOL "Builds the unit tests")

# Possible locations for the vision transfer library
set(VISIONTRANSFER_LIB ${CMAKE_CURRENT_SOURCE_DIR}/../libvisiontransfer/lib CACHE STRING "Lib directory for libvisiontransfer")
set(VISIONTRANSFER_INCLUDE ${CMAKE_CURRENT_SOURCE_DIR}/../libvisiontransfer CACHE STRING "Include directory for libvisiontransfer")
link_directories(${VISIONTRANSFER_LIB})
include_directories(${VISIONTRANSFER_INCLUDE})

add_subdirectory(src)

if(BUILD_TESTS)
  add_subdirectory(test)
endif()

=== libvisiontransfer/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.4.6)

if(COMMAND cmake_policy)
    cmake_policy(SET CMP0003 NEW)
endif(COMMAND cmake_policy)

include_directories(${CMAKE_CURRENT_SOURCE_DIR})

if(NOT WIN32 OR MINGW)
    include(CheckCXXCompilerFlag)

    # Some useful flags
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O3 -Wall")
    CHECK_CXX_COMPILER_FLAG("-march=native" NATIVE_ARCH_SUPPORT)
    if(NATIVE_ARCH_SUPPORT AND NOT DISABLE_NATIVE)
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -march=native")
    endif()

    # Activate c++11 support
    CHECK_CXX_COMPILER_FLAG("-std=c++11" COMPILER_SUPPORTS_CXX11)
    CHECK_CXX_COMPILER_FLAG("-std=c++0x" COMPILER_SUPPORTS_CXX0X)
    if(COMPILER_SUPPORTS_CXX11)
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
    elseif(COMPILER_SUPPORTS_CXX0X)
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
    else()
        message(WARNING "The compiler ${CMAKE_CXX_COMPILER} has no C++11 support. Please use a different C++ compiler.")
    endif()
else()
    # Visual studio settings
    foreach(flag
            CMAKE_C_FLAGS_RELEASE CMAKE_C_FLAGS_RELWITHDEBINFO
            CMAKE_C_FLAGS_DEBUG CMAKE_C_FLAGS_DEBUG_INIT
            CMAKE_CXX_FLAGS_RELEASE  CMAKE_CXX_FLAGS_RELWITHDEBINFO
            CMAKE_CXX_FLAGS_DEBUG  CMAKE_CXX_FLAGS_DEBUG_INIT)
        string(REPLACE "/MD"  "/MT" "${flag}" "${${flag}}")
        set("${flag}" "${${flag}} /EHsc /arch:SSE2 /D__SSE__ /D__SSE2__")
    endforeach()
endif()

if(NOT CMAKE_SUBMODULE)
    #set the default path for built libraries to the "lib" directory
    if(NOT WIN32 OR MINGW)
        set(LIBRARY_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/lib)
    else()
        MATH(EXPR BITS ${CMAKE_SIZEOF_VOID_P}*8)
        set(LIBRARY_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/lib${BITS})
    endif()
endif()

add_subdirectory(visiontransfer)
add_subdirectory(examples)

=== spcom/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.4.6)

if(COMMAND cmake_policy)
  cmake_policy(SET CMP0003 NEW)
endif(COMMAND cmake_policy)

#set the default path for built executables to the "bin" directory
set(EXECUTABLE_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/bin)

# All auxiliary source files are in the helpers directory
set(HELPER_FILES
    ${CMAKE_CURRENT_SOURCE_DIR}/helpers/colorcoder.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/helpers/colorcoder.h
    ${CMAKE_CURRENT_SOURCE_DIR}/helpers/filequeue.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/helpers/filequeue.h
    ${CMAKE_CURRENT_SOURCE_DIR}/helpers/imagequeue.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/helpers/imagequeue.h
    ${CMAKE_CURRENT_SOURCE_DIR}/helpers/ratelimit.h
    ${CMAKE_CURRENT_SOURCE_DIR}/helpers/ratelimit.cpp
)

# Also add the helpers directory to the include path
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/helpers)

if(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/../common.cmake)
    # Compiling with global build system
    include(${CMAKE_CURRENT_SOURCE_DIR}/../common.cmake)
    spcom_settings(${HELPER_FILES})
else()
    if(NOT WIN32 OR MINGW)
        include(CheckCXXCompilerFlag)

        # Some useful flags
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O3 -Wall")
        CHECK_CXX_COMPILER_FLAG("-march=native" NATIVE_ARCH_SUPPORT)
        if(NATIVE_ARCH_SUPPORT)
            set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -march=native")
        endif()

        # Activate c++11 support
        CHECK_CXX_COMPILER_FLAG("-std=c++11" COMPILER_SUPPORTS_CXX11)
        CHECK_CXX_COMPILER_FLAG("-std=c++0x" COMPILER_SUPPORTS_CXX0X)
        if(COMPILER_SUPPORTS_CXX11)
            set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
        elseif(COMPILER_SUPPORTS_CXX0X)
            set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
        else()
            message(WARNING "The compiler ${CMAKE_CXX_COMPILER} has no C++11 support. Please use a different C++ compiler.")
        endif()
    endif()
endif()

# Instruct CMake to run moc automatically when needed.
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)

# Find includes in corresponding build directories
set(CMAKE_INCLUDE_CURRENT_DIR ON)

# Find the QtWidgets library
find_package(Qt5Widgets REQUIRED)

# Find required libraries
find_package(Threads)
find_package(OpenCV REQUIRED)
include_directories(${OpenCV_INCLUDE_DIRS})

# Possible locations for the vision transfer library
set(VISIONTRANSFER_LIB ${CMAKE_CURRENT_SOURCE_DIR}/../libvisiontransfer/lib CACHE STRING "Lib directory for libvisiontransfer")
set(VISIONTRANSFER_INCLUDE ${CMAKE_CURRENT_SOURCE_DIR}/../libvisiontransfer CACHE STRING "Include directory for libvisiontransfer")
link_directories(${VISIONTRANSFER_LIB})
include_directories(${VISIONTRANSFER_INCLUDE})

qt5_add_resources(RES_SPCOM resources.qrc)

add_executable(spcom
    spcom.h
    spcom.cpp
    mainwindow.cpp
    mainwindow.h
    mainwindow.ui
    preferencesdialog.h
    preferencesdialog.cpp
    preferencesdialog.ui
    displaywidget.h
    displaywidget.cpp
    ${HELPER_FILES}
    ${RES_SPCOM}
)
target_link_libraries(spcom ${CMAKE_THREAD_LIBS_INIT} visiontransfer${LIB_SUFFIX} ${OpenCV_LIBS} Qt5::Widgets)

# Installation settings
set(CMAKE_INSTALL_RPATH ${CMAKE_INSTALL_RPATH};${CMAKE_INSTALL_PREFIX}/lib)
install(TARGETS spcom DESTINATION bin)

=== gentl-producer/src/CMakeLists.txt ===
add_library(nerian-gentl SHARED
    gentl-adapter.cpp
    misc/common.h
    misc/handle.h
    misc/infoquery.h
    misc/infoquery.cpp
    misc/port.h
    misc/port.cpp
    misc/portimplementation.h
    misc/xmlfiles.h
    ../xml/gen/xmlfiles.cpp
    system/library.h
    system/library.cpp
    system/system.h
    system/system.cpp
    system/systemportimpl.h
    system/systemportimpl.cpp
    interface/interface.h
    interface/interface.cpp
    interface/interfaceportimpl.h
    interface/interfaceportimpl.cpp
    device/logicaldevice.h
    device/logicaldevice.cpp
    device/physicaldevice.h
    device/physicaldevice.cpp
    device/deviceportimpl.h
    device/deviceportimpl.cpp
    stream/datastream.h
    stream/datastream.cpp
    stream/buffer.h
    stream/buffer.cpp
    stream/streamportimpl.h
    stream/streamportimpl.cpp
    event/event.h
    event/event.cpp
    event/eventqueue.h
)

# Statically link against libvisiontransfer
target_link_libraries(nerian-gentl visiontransfer-static${LIB_SUFFIX} ${EXTRA_LIBS})

# Modify the filename to match the GenTL naming convention
set_target_properties(nerian-gentl PROPERTIES PREFIX "")
set_target_properties(nerian-gentl PROPERTIES SUFFIX ".cti")

if(WIN32 AND NOT CMAKE_CL_64)
    # We need a .def file to avoid _ prefixes
    set_target_properties(nerian-gentl PROPERTIES LINK_FLAGS "/def:${CMAKE_CURRENT_SOURCE_DIR}/exports.def")
endif()

# Add platform specific libraries
if(WIN32)
    target_link_libraries(nerian-gentl ws2_32)
else()
    target_link_libraries(nerian-gentl dl pthread)
endif()

install(TARGETS nerian-gentl DESTINATION lib/gentl)

string(ASCII 27 Esc)
install(CODE "message(\"\n${Esc}[33m\")")
install(CODE "message(\"The GenTL producer has been installed to ${CMAKE_INSTALL_PREFIX}/lib/gentl\")")
if("${CMAKE_SIZEOF_VOID_P}" EQUAL "8")
	install(CODE "message(\"Please add this directory to your GENICAM_GENTL64_PATH environment variable.\")")
else()
	install(CODE "message(\"Please add this directory to your GENICAM_GENTL32_PATH environment variable.\")")
endif()
install(CODE "message(\"\n${Esc}[m\")")

=== libvisiontransfer/examples/CMakeLists.txt ===
include_directories(${PROJECT_SOURCE_DIR})

add_executable(imagetransfer_example
    imagetransfer_example.cpp
)

target_link_libraries(imagetransfer_example visiontransfer${LIB_SUFFIX})

add_executable(asynctransfer_example
    asynctransfer_example.cpp
)

target_link_libraries(asynctransfer_example visiontransfer${LIB_SUFFIX})

if(UNIX OR MINGW)
    target_link_libraries(asynctransfer_example pthread)
    target_link_libraries(imagetransfer_example pthread)
endif()

if(WIN32)
    target_link_libraries(imagetransfer_example ws2_32)
    target_link_libraries(asynctransfer_example ws2_32)
endif()

=== libvisiontransfer/visiontransfer/CMakeLists.txt ===
set(HEADERS
    asynctransfer.h
    imageprotocol.h
    imagetransfer.h
    common.h
    reconstruct3d.h
    alignedallocator.h
    datablockprotocol.h
    imagepair.h
)

set(SOURCES
    asynctransfer.cpp
    imageprotocol.cpp
    imagetransfer.cpp
    reconstruct3d.cpp
    datablockprotocol.cpp
    imagepair.cpp
)

# Build static and shared version
add_library(visiontransfer${LIB_SUFFIX} SHARED
    ${HEADERS}
    ${SOURCES}
)

add_library(visiontransfer-static${LIB_SUFFIX} STATIC
    ${HEADERS}
    ${SOURCES}
)

if(WIN32)
    target_link_libraries(visiontransfer${LIB_SUFFIX} ws2_32)
    target_link_libraries(visiontransfer-static${LIB_SUFFIX} ws2_32)
else()
    set_target_properties(visiontransfer-static${LIB_SUFFIX}
       PROPERTIES COMPILE_FLAGS "-fPIC")
endif()

install(TARGETS visiontransfer${LIB_SUFFIX} DESTINATION lib)
install(TARGETS visiontransfer-static${LIB_SUFFIX} DESTINATION lib)
install(FILES ${HEADERS} DESTINATION include/visiontransfer)

=== debian/changelog ===
ros-kinetic-nerian-sp1 (1.6.3-0xenial) xenial; urgency=high

  * Fixed file clash with new nerian_stereo package
  * Contributors: Konstantin Schauwecker

 -- Konstantin Schauwecker <konstantin.schauwecker@nerian.com>  Tue, 17 Oct 2017 22:00:00 -0000

ros-kinetic-nerian-sp1 (1.6.2-0xenial) xenial; urgency=high

  * Allow launch even if calibration file is not found
  * Implemented upper limit for point cloud depth (max_depth parameter)
  * Contributors: Konstantin Schauwecker

 -- Konstantin Schauwecker <konstantin.schauwecker@nerian.com>  Mon, 29 May 2017 22:00:00 -0000

ros-kinetic-nerian-sp1 (1.6.1-0xenial) xenial; urgency=high

  * Updated libvisiontransfer to version 4.1.2
  * Contributors: Konstantin Schauwecker

 -- Konstantin Schauwecker <konstantin.schauwecker@nerian.com>  Sun, 26 Mar 2017 22:00:00 -0000

ros-kinetic-nerian-sp1 (1.6.0-0xenial) xenial; urgency=high

  * Updated SP1 software to version 4.1.0
  * Script and launch file for downloading camera calibration
  * Added optional execution delay
  * Contributors: Konstantin Schauwecker

 -- Konstantin Schauwecker <konstantin.schauwecker@nerian.com>  Tue, 14 Feb 2017 23:00:00 -0000

ros-kinetic-nerian-sp1 (1.5.1-0xenial) xenial; urgency=high

  * Added proper error reporting in case of exceptions
  * Contributors: Konstantin Schauwecker

 -- Konstantin Schauwecker <konstantin.schauwecker@nerian.com>  Wed, 18 Jan 2017 23:00:00 -0000

ros-kinetic-nerian-sp1 (1.5.0-0xenial) xenial; urgency=high

  * Switched to new sp1 software release 4.0.0
  * Added example code for operation mode configuration to launch script
  * Added example scripts for switching SP1 operation mode
  * Separate topic for right image and bugfix for right image output
  * Contributors: Konstantin Schauwecker

 -- Konstantin Schauwecker <konstantin.schauwecker@nerian.com>  Mon, 16 Jan 2017 23:00:00 -0000

ros-kinetic-nerian-sp1 (1.4.0-0xenial) xenial; urgency=high

  * Updated to SP1 software release 3.0.0
  * Removed automatic installation of spcom
  * Handling of point cloud exceptions
  * Contributors: Konstantin Schauwecker

 -- Konstantin Schauwecker <konstantin.schauwecker@nerian.com>  Thu, 06 Oct 2016 22:00:00 -0000

ros-kinetic-nerian-sp1 (1.3.3-0xenial) xenial; urgency=high

  * Updated SP1 software release to version 2.1.6
  * Contributors: Konstantin Schauwecker

 -- Konstantin Schauwecker <konstantin.schauwecker@nerian.com>  Mon, 16 May 2016 22:00:00 -0000

ros-kinetic-nerian-sp1 (1.3.2-0xenial) xenial; urgency=high

  * Build fix for ROS kinetic
  * Contributors: Konstantin Schauwecker

 -- Konstantin Schauwecker <konstantin.schauwecker@nerian.com>  Sun, 08 May 2016 22:00:00 -0000

ros-kinetic-nerian-sp1 (1.3.1-0xenial) xenial; urgency=high

  * Added missing launch file to ROS package
  * Contributors: Konstantin Schauwecker

 -- Konstantin Schauwecker <konstantin.schauwecker@nerian.com>  Wed, 04 May 2016 22:00:00 -0000

ros-kinetic-nerian-sp1 (1.3.0-0xenial) xenial; urgency=high

  * Updated sp1 software release to version 2.1.5
  * Support for changing q-matrix (caused by auto re-calibration)
  * Contributors: Konstantin Schauwecker

 -- Konstantin Schauwecker <konstantin.schauwecker@nerian.com>  Thu, 17 Mar 2016 23:00:00 -0000

ros-kinetic-nerian-sp1 (1.2.2-0xenial) xenial; urgency=high

  * Upgraded libvisiontransfer to version 2.1.2
  * Contributors: Konstantin Schauwecker

 -- Konstantin Schauwecker <konstantin.schauwecker@nerian.com>  Thu, 11 Feb 2016 23:00:00 -0000

ros-kinetic-nerian-sp1 (1.2.1-0xenial) xenial; urgency=high

  * Upgraded libvisiontransfer to version 2.1.1
  * Contributors: Konstantin Schauwecker

 -- Konstantin Schauwecker <konstantin.schauwecker@nerian.com>  Mon, 11 Jan 2016 23:00:00 -0000

ros-kinetic-nerian-sp1 (1.2.0-0xenial) xenial; urgency=high

  * Added current release candidate of libvisiontransfer 2.0.0
  * Adaptations for libvisiontransfer 2.0.0
  * Support transfer of Q matrix
  * Contributors: Konstantin Schauwecker

 -- Konstantin Schauwecker <konstantin.schauwecker@nerian.com>  Sun, 22 Nov 2015 23:00:00 -0000

ros-kinetic-nerian-sp1 (1.1.2-0xenial) xenial; urgency=high

  * Fixed bug that prevented conversion of point cloud message to PCL object
  * Contributors: Konstantin Schauwecker

 -- Konstantin Schauwecker <konstantin.schauwecker@nerian.com>  Sun, 04 Oct 2015 22:00:00 -0000

ros-kinetic-nerian-sp1 (1.1.1-0xenial) xenial; urgency=high

  * Updated to libvisiontransfer 1.0.2
  * Installing libvisiontransfer headers
  * Contributors: Konstantin Schauwecker

 -- Konstantin Schauwecker <konstantin.schauwecker@nerian.com>  Mon, 14 Sep 2015 22:00:00 -0000

ros-kinetic-nerian-sp1 (1.1.0-0xenial) xenial; urgency=high

  * Cleaned-up example launch file
  * Minor bugfixes
  * Updated SP1 software package
  * Publishing of camera information
  * Optional disparity window
  * Performance optimization
  * Removed enable parameters
  * Fixed ROS coordinate system
  * Contributors: Konstantin Schauwecker

 -- Konstantin Schauwecker <konstantin.schauwecker@nerian.com>  Tue, 25 Aug 2015 22:00:00 -0000

ros-kinetic-nerian-sp1 (1.0.2-0xenial) xenial; urgency=high

  * Minor fixes to build files
  * Contributors: Konstantin Schauwecker

 -- Konstantin Schauwecker <konstantin.schauwecker@nerian.com>  Mon, 24 Aug 2015 22:00:00 -0000

ros-kinetic-nerian-sp1 (1.0.1-0xenial) xenial; urgency=high

  * Initial release
  * Contributors: Konstantin Schauwecker, nerian-vision

 -- Konstantin Schauwecker <konstantin.schauwecker@nerian.com>  Mon, 24 Aug 2015 22:00:00 -0000

=== debian/control ===
Source: ros-kinetic-nerian-sp1
Section: misc
Priority: extra
Maintainer: Konstantin Schauwecker <konstantin.schauwecker@nerian.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libsdl1.2-dev, ros-kinetic-catkin, ros-kinetic-cv-bridge, ros-kinetic-message-generation, ros-kinetic-roscpp, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs
Homepage: http://wiki.ros.org/nerian_sp1
Standards-Version: 3.9.2

Package: ros-kinetic-nerian-sp1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libsdl1.2-dev, ros-kinetic-cv-bridge, ros-kinetic-message-runtime, ros-kinetic-roscpp, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs
Description: Node for the SP1 Stereo Vision System by Nerian Vision Technologies

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-nerian-sp1//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
